Subject: Re: [TR] Seatbelts

From: Bob Labuz <[email-masked]>
Date: Tue, 12 Nov 2013 08:21:52 -0500

Greg,

I got a new set from TRF for my 72 6. The originals just didnt work 
anymore and they were faded. The replacements from TRF fit just fine 
using the original hardware.

But they dont have the electrical attachments and the original parkers 
are useless since the new belt attachments are different. But they stay 
snug.

Bob

On 11/10/2013 11:50 PM, Greg Lemon wrote:
> I currently have adjustable (non inertia real) three point seat belts on my
> TR250.  I don't like them, they slip off me when on, and I have to fish them
> out from behind/under the seat and top boot when I want to use them.  I am
> thinking the kind with a stalk and inertia reel might be both easier to put on
> and keep on, but I don't really want to spring for a set unless there is some
> appreciable improvement, any thoughts or experience with seat belt installs in
> the TR4-6 cars appreciated.  Have also thought about going with a simple lap
> belt, but really like the extra protection of the three point belt.
>
> Any experience and input welcome.
>
> Greg  Lemon
> TR250

** [email-masked] **

Archive: http://www.team.net/archive